#!/bin/bash

LATEST_RELEASE_LINK=$(curl -s https://api.github.com/repos/markovd18/SmartTester/releases/latest \
	| grep "browser_download_url" | cut -d : -f 2,3 | tr -d \")

LATEST_RELEASE_PCKG_NAME="${LATEST_RELEASE_LINK#*download/}" # Removing the start of the url
LATEST_RELEASE_PCKG_NAME="${LATEST_RELEASE_PCKG_NAME#*/}"    # Removing the version - only SmartTester-x.y.z.zip remains
LATEST_RELEASE_PCKG_NAME_NO_SUFF=${LATEST_RELEASE_PCKG_NAME%.zip}  # Removing .zip from the end



#If file exists, we have latest version, otherwise downloading newer version and deleting the old one
if [ -d ${LATEST_RELEASE_PCKG_NAME_NO_SUFF} ]; then
	echo "Latest version of SmartTester present."
else
	echo "Newer version of SmartTester found! Downloading..."
	rm -rf ${LATEST_RELEASE_PCKG_NAME_NO_SUFF}
	wget -q ${LATEST_RELEASE_LINK}
	unzip -q -d ${LATEST_RELEASE_PCKG_NAME_NO_SUFF} ${LATEST_RELEASE_PCKG_NAME}
	rm ${LATEST_RELEASE_PCKG_NAME}
	echo "Latest binary downloaded."
fi


