#!/bin/bash

# Copying required scripts into the working directory
cp /var/jenkins_home/install-smart_tester.sh .
cp /var/jenkins_home/prepare-smarttester-env.sh .

# Downloading the latest release if needed and copying compiled binaries next to the executable
./install-smart_tester.sh
./prepare-smarttester-env.sh

SMART_TESTER_DIR=$(ls | grep "SmartTester-")

cd ${SMART_TESTER_DIR}/debian_64/x86_64

#Executing unit tests
./SmartTester "-u"

#Executing regression tests
./SmartTester "-r" "../../scenarios/01/config.ini"
./SmartTester "-r" "../../scenarios/02/config.ini"
./SmartTester "-r" "../../scenarios/03/config.ini"

